CMSIS-Core (Cortex-M): ICB_Type Struct Reference

| CMSIS-Core (Cortex-M) Version 5.6.0 CMSIS-Core support for Cortex-M processor-based devices

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Groups Pages
Data Fields
ICB_Type Struct Reference

Structure type to access the Implementation Control Block Register (ICB). More...

## Data Fields

uint32_t | RESERVED0 [1U]
__IM uint32_t | ICTR
__IOM uint32_t | ACTLR
__IOM uint32_t | CPPWR

## Description

Structure type to access the Implementation Control Block Register (ICB).

Note
  replaces SCnSCB_Type (only on Cortex-M55/M85)

## Field Documentation

__IOM uint32_t ICB_Type::ACTLR

Offset: 0x008 (R/W) Auxiliary Control Register

__IOM uint32_t ICB_Type::CPPWR

Offset: 0x00C (R/W) Coprocessor Power Control Register

__IM uint32_t ICB_Type::ICTR

Offset: 0x004 (R/ ) Interrupt Controller Type Register

uint32_t ICB_Type::RESERVED0[1U]